import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpChannels = (data: object): any => {
  return http.request("post", `${yewuApi}channellist`, { data });
};

export const httpChannelCategory = (data: object): any => {
  return http.request("post", `${yewuApi}channelcatlist`, { data });
};

export const httpChannelCategoryUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}channelcatsave`, { data });
};
